| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::LodCollapseCostCurvature Class Reference

`#include <OgreLodCollapseCostCurvature.h>`

Inheritance diagram for Ogre::LodCollapseCostCurvature:
[legend]

## Public Member Functions
virtual Real | computeEdgeCollapseCost (LodData *data, LodData::Vertex *src, LodData::Edge *dstEdge)
| Returns the collapse cost of the given edge. More...
virtual void | computeVertexCollapseCost (LodData *data, LodData::Vertex *vertex, Real &collapseCost, LodData::Vertex *&collapseTo)
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated. More...
virtual void | initCollapseCosts (LodData *data)
| This is called after the LodInputProvider has initialized LodData. More...
virtual void | initVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called from initCollapseCosts for every edge. More...
virtual void | updateVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called when edge cost gets invalid. More...

## Member Function Documentation

## ◆ computeEdgeCollapseCost()

virtual Real Ogre::LodCollapseCostCurvature::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | src,
|  | LodData::Edge * | dstEdge
| ) |  |
| virtual

Returns the collapse cost of the given edge.

Implements Ogre::LodCollapseCost.

## ◆ initCollapseCosts()

virtual void Ogre::LodCollapseCost::initCollapseCosts | ( | LodData * | data | ) |
| virtual inherited

This is called after the LodInputProvider has initialized LodData.

Reimplemented in Ogre::LodCollapseCostOutside, Ogre::LodCollapseCostProfiler, and Ogre::LodCollapseCostQuadric.

## ◆ initVertexCollapseCost()

virtual void Ogre::LodCollapseCost::initVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex
| ) |  |
| virtual inherited

Called from initCollapseCosts for every edge.

## ◆ updateVertexCollapseCost()

virtual void Ogre::LodCollapseCost::updateVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex
| ) |  |
| virtual inherited

Called when edge cost gets invalid.

Reimplemented in Ogre::LodCollapseCostQuadric.

## ◆ computeVertexCollapseCost()

virtual void Ogre::LodCollapseCost::computeVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex,
|  | Real & | collapseCost,
|  | LodData::Vertex *& | collapseTo
| ) |  |
| virtual inherited

Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.

Reimplemented in Ogre::LodCollapseCostProfiler.

The documentation for this class was generated from the following file:

- OgreLodCollapseCostCurvature.h